## org.eclipse.amp.amf.abase.services
Class ABaseGrammarAccess

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder
              org.eclipse.amp.amf.abase.services.ABaseGrammarAccess

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess

    public class ABaseGrammarAccess

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

Nested Class Summary
`class` `ABaseGrammarAccess.BOOLEANElements`
`class` `ABaseGrammarAccess.BooleanValueElements`
`class` `ABaseGrammarAccess.IntValueElements`
`class` `ABaseGrammarAccess.RealValueElements`
`class` `ABaseGrammarAccess.StringValueElements`
`class` `ABaseGrammarAccess.ValueElements`

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Nested classes/interfaces inherited from interface org.eclipse.xtext.IGrammarAccess
`org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`

Constructor Summary
`ABaseGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider, org.eclipse.xtext.common.services.TerminalsGrammarAccess gaTerminals)`

Method Summary
`org.eclipse.xtext.TerminalRule` `getANY_OTHERRule()`
`ABaseGrammarAccess.BOOLEANElements` `getBOOLEANAccess()`
`org.eclipse.xtext.EnumRule` `getBOOLEANRule()`
`ABaseGrammarAccess.BooleanValueElements` `getBooleanValueAccess()`
`org.eclipse.xtext.ParserRule` `getBooleanValueRule()`
`org.eclipse.xtext.TerminalRule` `getDESC_STRINGRule()`
`org.eclipse.xtext.Grammar` `getGrammar()`
`org.eclipse.xtext.TerminalRule` `getIDRule()`
`org.eclipse.xtext.TerminalRule` `getINTEGERRule()`
`org.eclipse.xtext.TerminalRule` `getINTRule()`
`ABaseGrammarAccess.IntValueElements` `getIntValueAccess()`
`org.eclipse.xtext.ParserRule` `getIntValueRule()`
`org.eclipse.xtext.TerminalRule` `getML_COMMENTRule()`
`org.eclipse.xtext.TerminalRule` `getREALRule()`
`ABaseGrammarAccess.RealValueElements` `getRealValueAccess()`
`org.eclipse.xtext.ParserRule` `getRealValueRule()`
`org.eclipse.xtext.TerminalRule` `getSL_COMMENTRule()`
`org.eclipse.xtext.TerminalRule` `getSTRINGRule()`
`ABaseGrammarAccess.StringValueElements` `getStringValueAccess()`
`org.eclipse.xtext.ParserRule` `getStringValueRule()`
`org.eclipse.xtext.common.services.TerminalsGrammarAccess` `getTerminalsGrammarAccess()`
`ABaseGrammarAccess.ValueElements` `getValueAccess()`
`org.eclipse.xtext.ParserRule` `getValueRule()`
`org.eclipse.xtext.TerminalRule` `getWSRule()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.xtext.IGrammarAccess
`findKeywordPairs, findKeywords, findRuleCalls`

Constructor Detail

### ABaseGrammarAccess

    @Inject
    public ABaseGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider,
                                     org.eclipse.xtext.common.services.TerminalsGrammarAccess gaTerminals)

Method Detail

### getGrammar

    public org.eclipse.xtext.Grammar getGrammar()

### getTerminalsGrammarAccess

    public org.eclipse.xtext.common.services.TerminalsGrammarAccess getTerminalsGrammarAccess()

### getValueAccess

    public ABaseGrammarAccess.ValueElements getValueAccess()

### getValueRule

    public org.eclipse.xtext.ParserRule getValueRule()

### getIntValueAccess

    public ABaseGrammarAccess.IntValueElements getIntValueAccess()

### getIntValueRule

    public org.eclipse.xtext.ParserRule getIntValueRule()

### getRealValueAccess

    public ABaseGrammarAccess.RealValueElements getRealValueAccess()

### getRealValueRule

    public org.eclipse.xtext.ParserRule getRealValueRule()

### getStringValueAccess

    public ABaseGrammarAccess.StringValueElements getStringValueAccess()

### getStringValueRule

    public org.eclipse.xtext.ParserRule getStringValueRule()

### getBooleanValueAccess

    public ABaseGrammarAccess.BooleanValueElements getBooleanValueAccess()

### getBooleanValueRule

    public org.eclipse.xtext.ParserRule getBooleanValueRule()

### getBOOLEANAccess

    public ABaseGrammarAccess.BOOLEANElements getBOOLEANAccess()

### getBOOLEANRule

    public org.eclipse.xtext.EnumRule getBOOLEANRule()

### getINTEGERRule

    public org.eclipse.xtext.TerminalRule getINTEGERRule()

### getREALRule

    public org.eclipse.xtext.TerminalRule getREALRule()

### getDESC_STRINGRule

    public org.eclipse.xtext.TerminalRule getDESC_STRINGRule()

### getIDRule

    public org.eclipse.xtext.TerminalRule getIDRule()

### getINTRule

    public org.eclipse.xtext.TerminalRule getINTRule()

### getSTRINGRule

    public org.eclipse.xtext.TerminalRule getSTRINGRule()

### getML_COMMENTRule

    public org.eclipse.xtext.TerminalRule getML_COMMENTRule()

### getSL_COMMENTRule

    public org.eclipse.xtext.TerminalRule getSL_COMMENTRule()

### getWSRule

    public org.eclipse.xtext.TerminalRule getWSRule()

### getANY_OTHERRule

    public org.eclipse.xtext.TerminalRule getANY_OTHERRule()